Can't update to 2.2Support


Last Updated:

  1. Diab

    Diab Member This Topic's Starter

    Joined:
    Oct 15, 2010
    Messages:
    6
    Likes Received:
    0
    Hi, i recently got the desire (2 days to be exact) and i read that Froyo rolled to it since the beginning of October, but whenever i try to search updates it tells me that my device is up to date, i tried on both wifi and cellular networks but to no avail. any help would be appreciated, thanks
     

    Advertisement
  2. silvarbullet1

    silvarbullet1 Member

    Joined:
    Jun 3, 2010
    Messages:
    8
    Likes Received:
    0
    This might be obvious, but do you already have 2.2? My new phone arrived today and it came with 2.2 already on it. Yours only arrived a few days ago so...

    Go Settings>About Phone (very bottom option)>Software Information>Android Version> 2.2 is the latest Froyo...

    Otherwise, what Network are you on?
     
  3. Diab

    Diab Member This Topic's Starter

    Joined:
    Oct 15, 2010
    Messages:
    6
    Likes Received:
    0
    i checked that the first thing after turning on the phone, its 2.1, i got it unlocked, i figured out the reason though, HTC is fixing the Arabic support for 2.2 since HTC phones in the Middle East must have Arabic Supported. Only thing i can do is wait, although i have no use whatsoever for Arabic support:)
     

Share This Page

Loading...